Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.zest.ide
Class ZestSliderContribution

    java.lang.Object
      org.eclipse.jface.action.ContributionItem
          org.eclipse.jface.action.ControlContribution
              org.eclipse.ui.internal.menus.InternalControlContribution
                  org.eclipse.ui.menus.WorkbenchWindowControlContribution
                      org.eclipse.amp.agf.zest.ide.ZestSliderContribution

All Implemented Interfaces:
  org.eclipse.jface.action.IContributionItem

    public class ZestSliderContribution

extends org.eclipse.ui.menus.WorkbenchWindowControlContribution

The Class ZestSliderContribution.

Constructor Summary
`ZestSliderContribution(org.eclipse.zest.core.widgets.Graph graph)` Instantiates a new zest slider contribution.

Method Summary
`protected int` | `computeWidth(org.eclipse.swt.widgets.Control control)`
`protected org.eclipse.swt.widgets.Control` | `createControl(org.eclipse.swt.widgets.Composite parent)`

Methods inherited from class org.eclipse.ui.menus.WorkbenchWindowControlContribution
`delegateCreateControl, getCurSide, getOrientation, getWorkbenchWindow`

Methods inherited from class org.eclipse.ui.internal.menus.InternalControlContribution
`setCurSide, setWorkbenchWindow`

Methods inherited from class org.eclipse.jface.action.ControlContribution
`fill, fill, fill`

Methods inherited from class org.eclipse.jface.action.ContributionItem
`dispose, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setParent, setVisible, toString, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ZestSliderContribution

    public ZestSliderContribution(org.eclipse.zest.core.widgets.Graph graph)

  Instantiates a new zest slider contribution.

  Parameters:
    `graph` - the graph

Method Detail

### createControl

    protected org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in class `org.eclipse.jface.action.ControlContribution`
  Parameters:
    `parent` -
  Returns:
  See Also:
    `ControlContribution.createControl(org.eclipse.swt.widgets.Composite)`

### computeWidth

    protected int computeWidth(org.eclipse.swt.widgets.Control control)

  Overrides:
    `computeWidth` in class `org.eclipse.jface.action.ControlContribution`
  Parameters:
    `control` -
  Returns:
  See Also:
    `ControlContribution.computeWidth(org.eclipse.swt.widgets.Control)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD